(function() {
	tinymce.PluginManager.add('tweet_mce_button', function( editor, url ) {
		editor.addButton( 'tweet_mce_button', {
			text: 'Твит',
			icon: 'tweet-mce-icon',
			type: 'menubutton',
		
							onclick: function() {
								editor.windowManager.open( {
									title: 'Текст для Твиттер',
									body: [
										
										{
											type: 'textbox',
											name: 'multilineName',
											label: 'Впишите текст для трансляции в Твиттер (не более 140 знаков)',
											value: '',
											multiline: true,
											minWidth: 300,
											minHeight: 100
										},
								{
											type: 'listbox',
											name: 'listboxName',
											label: 'Отображение границы',
											'values': [
												{text: 'Просто Ссылка Твитнуть', value: 'yes'},
												{text: 'Цитата', value: 'no'}
												
											]
										}

										
									],
									onsubmit: function( e ) {
										editor.insertContent( '[tweet border=' + e.data.listboxName + ']' + e.data.multilineName + '[/tweet]');
									}
								});
							}
					
			
		});
	});
})();